ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roberto De <rob...@yahoo.com>
Subject Hi, please advice
Date Fri, 07 May 2010 13:31:29 GMT
Kind apache member

I don't know how to get over this problem.
I yse the latest versions of Ant and Ivy.
Why do I get this?

[ivy:retrieve] 		[FAILED     ] matrix#log4j;1.2.16!log4j.jar: invalid sha1: expected=<!doctype
computed=0278c9d0ae02132ab6d00e709926c227022e85a4 (687ms)
[ivy:retrieve] 		[FAILED     ] matrix#log4j;1.2.16!log4j.jar: invalid sha1: expected=<!doctype
computed=0278c9d0ae02132ab6d00e709926c227022e85a4 (687ms)

and so on....


These jars are in a remote repository.
I use this:
<ivysettings>
	<caches checkUpToDate="true" />
<settings defaultResolver="libraries" />
	<resolvers>
		<chain name="libraries">
		
<artifact pattern="http://xxxxxxxxx/ivy-rep/[artifact]-[revision].[ext]" />
			</url>
				
		</chain>
	</resolvers>
</ivysettings>

and this:

<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="http://www.jayasoft.fr/org/ivyrep/ivy-doc.xsl"?>
<ivy-module version="2.0">
	<info organisation="matrix" module="vision">
		<ivyauthor name="Roberto De Pascalis" />
	</info>
	<publications>
		<artifact name="vision-conf" type="jar" />
	</publications>
	<dependencies>
	    <dependency name="log4j" rev="1.2.16" />
		<dependency name="junit" rev="4.1" />
		<dependency name="xpp3" rev="1.1.3.8" />
		<dependency name="xstream" rev="1.3.1" />
		
	</dependencies>
</ivy-module>


thanks in advance

Roberto De Pascalis



      

Mime
View raw message